const fetchAnswer = (num) => {
  const body = {num: num};
  fetch("/add2", {method: 'POST', body: JSON.stringify(body),
      headers: {'Content-Type': 'application/json'}})
    .then((val) => {
      if (val.status === 200) {
        return val.json();
      } else {
        showError(`Server Error: ${val.statusText}`);
      }
    }).then((val) => {
      if (typeof val.result === 'number') {
        showAnswer(val.result);
      } else {
        showError(`Result was not a number: ${typeof val.result}`);
      }
    }).catch(() => {
      showError('Failed to connect to server.');
    });
};
